-- $LastChangedDate: 2010-04-13 13:14:34 -0400 (Tue, 13 Apr 2010) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "FX",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "fx/module.hh"
#include "fx/motion_blur.hh"
using namespace fx;
]],

func_EnableMotionBlur = {
    comments = "FX:EnableMotionBlur( persistence )",
    code = [[
        const fp persistence = POP_FP( L );
        GET_MOTION_BLUR().Enable( persistence );
    ]]
},

func_DisableMotionBlur = {
    comments = "FX:DisableMotionBlur()",
    code = [[
        GET_MOTION_BLUR().Disable();
    ]]
},

}
